core::net::http::Error Class Reference

`#include <error.h>`

Inheritance diagram for core::net::http::Error:
Collaboration diagram for core::net::http::Error:

## Public Member Functions

| Error (const std::string &what, const Location &loc)
virtual | ~Error ()=default
Public Member Functions inherited from core::net::Error
| Error (const std::string &what, const Location &el)

## Detailed Description

Definition at line 29 of file http/error.h.

## Constructor & Destructor Documentation

## Error()

core::net::http::Error::Error | ( | const std::string & | what,
|  | const Location & | loc )

explicit

## ~Error()

virtual core::net::http::Error::~Error | ( |  | ) |

virtual default

Reimplemented from core::net::Error.

The documentation for this class was generated from the following file:

- http/error.h